## org.eclipse.amp.escape.ide
Class MessageAdapter

    java.lang.Object
      org.eclipse.amp.escape.ide.MessageAdapter

All Implemented Interfaces:
  org.ascape.view.nonvis.IMessageStream

    public class MessageAdapter

extends java.lang.Object
implements org.ascape.view.nonvis.IMessageStream

The Class MessageAdapter.

Constructor Summary
`MessageAdapter(org.eclipse.ui.console.MessageConsole eclipseConsole)` Instantiates a new message adapter.

Method Summary
`void` `print(java.lang.String message)`
`void` `println()`
`void` `println(java.lang.String message)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageAdapter

    public MessageAdapter(org.eclipse.ui.console.MessageConsole eclipseConsole)

  Instantiates a new message adapter.

  Parameters:
    `eclipseConsole` - the eclipse console

Method Detail

### print

    public void print(java.lang.String message)

  Specified by:
    `print` in interface `org.ascape.view.nonvis.IMessageStream`
  See Also:
    `IMessageStream.print(java.lang.String)`

### println

    public void println()

  Specified by:
    `println` in interface `org.ascape.view.nonvis.IMessageStream`
  See Also:
    `IMessageStream.println()`

### println

    public void println(java.lang.String message)

  Specified by:
    `println` in interface `org.ascape.view.nonvis.IMessageStream`
  See Also:
    `IMessageStream.println(java.lang.String)`